org.eclipse.net4j.protocol

## Class ProtocolVersionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.eclipse.net4j.protocol.ProtocolVersionException

- All Implemented Interfaces:
    java.io.Serializable

      public class ProtocolVersionException
      extends java.lang.IllegalStateException

  An exception that indicates mismatch between the versions of two protocol peer implementations.
  Since:
    4.2
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolVersionException()`
    `ProtocolVersionException(java.lang.String s)`
    `ProtocolVersionException(java.lang.String message, java.lang.Throwable cause)`
    `ProtocolVersionException(java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkVersion(IProtocol<?> protocol, int expectedVersion)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtocolVersionException

          public ProtocolVersionException()

    - #### ProtocolVersionException

          public ProtocolVersionException(java.lang.String s)

    - #### ProtocolVersionException

          public ProtocolVersionException(java.lang.Throwable cause)

    - #### ProtocolVersionException

          public ProtocolVersionException(java.lang.String message,
                                          java.lang.Throwable cause)

  - ### Method Detail

    - #### checkVersion

          public static void checkVersion(IProtocol<?> protocol,
                                          int expectedVersion)
                                   throws ProtocolVersionException

      Throws:
        `ProtocolVersionException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html